2020-10-26 20:08 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002694BobsBadDay[All Projects] Generalpublic2016-12-23 18:35
Reportervanfanel 
Assigned ToStingRayProject InfoBob's Bad Day (Psygnosis/Dome Development)
http://www.whdload.de/games/BobsBadDay.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0002694: Game shows slowdonws in 7MHz Amigas due to added blitterwaits. CUSTOM parameter
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: Version 1.2 from 05.08.2006

Game shows slowdonws in 7MHz Amigas due to added blitterwaits.
CUSTOM parameter to disable blitterwaits needed.
Slowdowns not present in floppy version.
Slowdowns not present in old Whdload slave Version 1.0.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetOCS
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.1
importedyes
Attached Files
  • ? file icon .whdl_register (3,055 bytes) 2016-12-23 00:35 -
    ************************* 26-Dec-15 16:06:31 ************************18.2.5735***
    Slave='BobsBadDay.slave' (900 bytes)
    ShadowMem   2D3F48 -   30CF48 ( 233472) AbsolutMem    39000 -    80000 ( 290816)
    Resload     2C1988 -   2C801C (  26260) at 2C1988  GL=$2CC070
    Slave       233F90 -   2342F0 (    864) at 233F90  BaseMemSize=$80000
    ExpMem      30D000 -   38D000 ( 524288) at 30D000
    attn=200(UAE,00) fc=-1 kn=0 cs=C42D rw=1 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Line 1111 Emulator" ($E02C) at $727F4 occured.
    
    $000727bc ori.b        #0,d0
    $000727c0 ori.b        #0,d0
    $000727c4 ori.b        #0,d0
    $000727c8 ori.b        #0,d0
    $000727cc ori.b        #0,d0
    $000727d0 ori.b        #0,d0
    $000727d4 ori.b        #0,d0
    $000727d8 ori.b        #0,d0
    $000727dc ori.b        #0,d0
    $000727e0 ori.b        #0,d0
    $000727e4 ori.b        #0,d0
    $000727e8 ori.b        #0,d0
    $000727ec ori.b        #0,d0
    $000727f0 ori.b        #0,d0
    1m$000727f4 line-f       $ffff
    22m$000727f6 line-f       $ffff
    $000727f8 line-f       $ffff
    $000727fa line-f       $ffff
    $000727fc line-f       $ffff
    $000727fe line-f       $ffff
    $00072800 line-f       $ffff
    $00072802 line-f       $ffff
    $00072804 line-f       $ffff
    $00072806 line-f       $ffff
    $00072808 line-f       $ffff
    $0007280a line-f       $ffff
    $0007280c line-f       $ffff
    $0007280e line-f       $ffff
    $00072810 line-f       $ffff
    
    exception stackframe:
    $0001AE30 27080007 27F4
    regular stack:
    $0001AE36 00001906 00001844 00000000 B07C0003 675841F9 0001922E E3400280 0000FFFF
    $0001AE56 D1C043F9 0000E80E 45F90000 E85647F9 0000E89E 49F90000 E8E6700F 32D036D8
    $0001AE76 D1FC0000 002632D0 36D8D1FC 00000026 34D038D8 D1FC0000 002634D0 38D8D1FC
    $0001AE96 00000026 51C8FFD6 4E7543F9 0000E80E 45F90000 E85647F9 0000E89E 49F90000
    $0001AEB6 E8E6700F 720022C1 24C126C1 28C151C8 FFF64E75 B07C0003 674441F9 00019214
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx FFFFFFFF  FFFFFFFF  FFFFFFFF  FFFFFFFF  FFFFFFFF         0         0      FFFF
    Ax    78CB0         0         0         0         0    DFF000         0
    
                     TTSM III   XNZVC
    PC=   727F422m  SR %0010011100001000  USP=7FC00  1mSSP=1AE30
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%000000000000000022m dmacon=%1m0010001001000000 adkcon=$1100
    intreq=%0011111111111111
    vposr....A000  vhposr...0003  joy0dat..0101  joy1dat..0000  clxdat...81FE  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.FFFC  hhposr...FFFF  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111111022m  prb=1m1111111122m      pra=1m0000011122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=000459  icr=88  sdr=73    event=0550D1  icr=00  sdr=00
    
    ? file icon .whdl_register (3,055 bytes) 2016-12-23 00:35 +

-Relationships
+Relationships

-Notes

note ~0005399

StingRay (developer)

Patch updated, blitter wait patches can be disabled with CUSTOM1.

note ~0005400

retrogamer (reporter)

Get a Exception "Line 1111 Emulator" ($E02C) at $727F4 occured error message if
blitter wait patches are disabled.

I have attatched the whdload_register file.

Quitkey for 68000 is not working.

Please is it possible to add the manual?

http://www.lemonamiga.com/games/docs.php?id=233

note ~0005401

retrogamer (reporter)

I get the Exception "Line 1111 Emulator" ($E02C) at $727F4 occured error message
AFTER the game intro.

note ~0005405

StingRay (developer)

Crash fixed, 68000 quitkey support added, DMA waits in sample player and MED replayer fixed, manual included.
+Notes

-Issue History
Date Modified Username Field Change
2013-03-11 19:20 administrator New Issue
2013-03-11 19:20 administrator Status new => assigned
2013-03-11 19:20 administrator Assigned To => Bored Seal
2016-12-22 23:51 StingRay Assigned To Bored Seal => StingRay
2016-12-22 23:51 StingRay Status assigned => resolved
2016-12-22 23:51 StingRay Resolution open => fixed
2016-12-22 23:51 StingRay Note Added: 0005399
2016-12-23 00:35 retrogamer File Added: .whdl_register
2016-12-23 00:35 retrogamer Note Added: 0005400
2016-12-23 00:39 retrogamer Note Added: 0005401
2016-12-23 18:35 StingRay Note Added: 0005405
+Issue History